| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
DocTextSearch Class Reference
PDF » search

This class can construct text search in a PDF document. More...

## Public Member Functions
| destroy ()
| destroy DocTextSearch [Support in Server]
| findNext ()
| Search for next matched pattern. [Support in Server] More...
| findPrev ()
| Search for previous matched pattern. [Support in Server] More...
| getId ()
| Gets the id of the DocTextSearch [Support in Server] More...
| setCurrentPageIndex (index)
| Sets the page index for the current query [Support in Server] More...
| setEndPageIndex (index)
| Set the end page index [Support in Server] More...
| setStartPageIndex (index)
| Set the starting page index [Support in Server] More...

## Detailed Description

This class can construct text search in a PDF document.

## Member Function Documentation

## ◆ findNext()

DocTextSearch::findNext | ( |  | ) |
| inline

Search for next matched pattern. [Support in Server]

Returns
  Promise<TextSearchMatch|null> - null is returned if it is not found. TextSearchMatch

## ◆ findPrev()

DocTextSearch::findPrev | ( |  | ) |
| inline

Search for previous matched pattern. [Support in Server]

Returns
  Promise<TextSearchMatch|null> - null is returned if it is not found

## ◆ getId()

DocTextSearch::getId | ( |  | ) |
| inline

Gets the id of the DocTextSearch [Support in Server]

Returns
  string -

## ◆ setCurrentPageIndex()

DocTextSearch::setCurrentPageIndex | ( |  | index | ) |
| inline

Sets the page index for the current query [Support in Server]

Parameters

  index | number -

## ◆ setEndPageIndex()

DocTextSearch::setEndPageIndex | ( |  | index | ) |
| inline

Set the end page index [Support in Server]

Parameters

  index | number -

## ◆ setStartPageIndex()

DocTextSearch::setStartPageIndex | ( |  | index | ) |
| inline

Set the starting page index [Support in Server]

Parameters

  index | number -

@2026 Foxit Software Incorporated. All rights reserved.